Last Comment Bug 525973 - Option "Only check for new mail after opening Mail & Newsgroups" need documentation
: Option "Only check for new mail after opening Mail & Newsgroups" need documen...
Status: RESOLVED FIXED
[good first bug]
:
Product: SeaMonkey
Classification: Client Software
Component: Help Documentation (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.1b2
Assigned To: Jens Hatlak (:InvisibleSmiley)
:
Mentors:
Depends on:
Blocks: 525434
  Show dependency treegraph
 
Reported: 2009-11-02 12:25 PST by Michael Opitz
Modified: 2010-11-21 14:05 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch (3.32 KB, patch)
2010-11-17 13:53 PST, Jens Hatlak (:InvisibleSmiley)
stefanh: review+
Details | Diff | Review
patch v2 [Checkin: comment 9] (3.45 KB, patch)
2010-11-21 14:03 PST, Jens Hatlak (:InvisibleSmiley)
jh: review+
Details | Diff | Review

Description Michael Opitz 2009-11-02 12:25:18 PST
Reported for the german Help, but missing in the english one too.

It was also reported that the help is not in the same order as the option-window.
Use SeaMonkey Mail as the default mail application should be after the missing
"Only check ..." Option, before The Mailnews Startpage Setting.
Currecntly it is between "Confirm when moving folders to the Trash" and "Remember last selected message"
Comment 1 Serge Gautherie (:sgautherie) 2010-03-20 18:40:05 PDT
Which product/version are you using?
Comment 2 Michael Opitz 2010-03-20 22:46:46 PDT
I'm using SeaMonkey 2.0.5pre @home and 
SeaMonkey 2.1a1pre @work
Comment 3 Jens Hatlak (:InvisibleSmiley) 2010-11-17 10:53:30 PST
For the same pane, Help lists "Use SeaMonkey Mail as the default application" as the second option, when in fact it is now below the checkboxes and named "Make SeaMonkey the default application for:". I think both issues should be fixed through this bug, which should be easy.
Comment 4 Jens Hatlak (:InvisibleSmiley) 2010-11-17 13:53:39 PST
Created attachment 491311 [details] [diff] [review]
patch
Comment 5 Stefan [:stefanh] (away until May 28) 2010-11-19 15:36:44 PST
I will formally look it this on Sunday, but here's some comments (I'm open for arguments):


+  <li><strong>Only check for new mail after opening Mail &amp;
+    Newsgroups</strong>: Select this to delay checking for new messages until
+    after the Mail &amp; Newsgroups window has been opened at least once (be it
+    automatically <a href="cs_nav_prefs_appearance.xhtml#appearance">on
+    startup</a> or manually). By default, &brandShortName; even checks for new
+    mail if just a browser window is open.</li>

The "even" sound a bit odd here, I think. At the same time you would want to mention this... How about starting with "By default, SeaMonkey checks for new messages even if only a browser window is open. Choose this option if you want to delay…"?

+  <li class="win"><strong>Make &brandShortName; the default application
+    for</strong>: Select &brandShortName; as the default application for mail,
+    news or feeds; for Windows and from within other applications such as
+    Microsoft Word.
+
+    <p><strong>Note</strong>: Setting &brandShortName; as the default
+      application for mail, news or feeds may remove the connection that other
+      applications had with these tasks. Refer to the documentation of the
+      respective applications in order to find how to restore the defaults.</p>


How about keeping the old style, since that will make it possible to avoid the ";":

"Select &brandShortName; as the default mail, news or feeds application for Windows and from within other applications such as Microsoft Word."

and "Setting &brandShortName; as the default mail, news or feeds application ..."
Comment 6 Stefan [:stefanh] (away until May 28) 2010-11-19 15:38:07 PST
(In reply to comment #5)
> messages even if only a browser window is open. Choose this option if you want
> to delay…"?

Sigh, this editor sucks :-/
Comment 7 Stefan [:stefanh] (away until May 28) 2010-11-21 05:50:00 PST
Comment on attachment 491311 [details] [diff] [review]
patch

r = me with comment #5 addressed.
Comment 8 Jens Hatlak (:InvisibleSmiley) 2010-11-21 14:03:14 PST
Created attachment 492213 [details] [diff] [review]
patch v2 [Checkin: comment 9]
Comment 9 Jens Hatlak (:InvisibleSmiley) 2010-11-21 14:05:29 PST
Comment on attachment 492213 [details] [diff] [review]
patch v2 [Checkin: comment 9]

http://hg.mozilla.org/comm-central/rev/e8aea1be2e42

Note You need to log in before you can comment on or make changes to this bug.